commit 774ee96d095baebfc6608cfc14787b01e90c00ef
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Oct 7 02:27:45 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index aa218a9290f..6a36bef6ea5 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251006
+20251007
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 54c935db672..66ee6a96bc5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,25 @@
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	* gcc.target/avr/sincos-1.c: New test.
+
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122177
+	* gcc.target/avr/fminfmax-1.c: New test.
+
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	* gcc.target/avr/cmpdi-1.c: New test.
+
 2025-10-05  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/113536
diff --git a/libgcc/config/avr/libf7/ChangeLog b/libgcc/config/avr/libf7/ChangeLog
index 2a34ec1d8c5..eb4d3efdb10 100644
--- a/libgcc/config/avr/libf7/ChangeLog
+++ b/libgcc/config/avr/libf7/ChangeLog
@@ -1,3 +1,33 @@
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	* libf7-common.mk (F7_ASM_PARTS): Add D_sincos.
+	* libf7-asm.sx: (D_sincos): New module implements sincos / sincosl.
+
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122177
+	* libf7-common.mk (m_ddd): Remove: fmin, fmax.
+	(F7_ASM_PARTS): Add: D_fminfmax.
+	* libf7-asm.sx (D_fmanfmax): New module.
+	* f7-wraps.h: Rebuild.
+
+2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
+
+	* libf7-common.mk (g_xdd_cmp): Remove le, lt, ge, gt, ne, eq, unord.
+	(F7_ASM_PARTS): Add D_cmp, D_eq, D_ne, D_ge, D_gt, D_le, D_lt, D_unord.
+	* libf7-asm.sx (D_cmp, D_eq, D_ne, D_ge, D_gt, D_le, D_lt, D_unord):
+	New modules.
+	* f7-wraps.h: Rebuild.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.

